import React from 'react';
import Box from '../../box';
import { TextBody, Monospaced } from '../../typography';

var NumSelectedRows = function NumSelectedRows(_ref) {
  var _ref$numSelectedRows = _ref.numSelectedRows,
      numSelectedRows = _ref$numSelectedRows === void 0 ? 0 : _ref$numSelectedRows,
      _ref$numSelectedRowsL = _ref.numSelectedRowsLabel,
      numSelectedRowsLabel = _ref$numSelectedRowsL === void 0 ? function () {
    return 'selected';
  } : _ref$numSelectedRowsL;
  return /*#__PURE__*/React.createElement(Box, {
    marginRight: 3,
    "data-teamleader-ui": "datagrid-num-selected-rows"
  }, /*#__PURE__*/React.createElement(TextBody, {
    element: "span",
    marginRight: 1
  }, /*#__PURE__*/React.createElement(Monospaced, null, /*#__PURE__*/React.createElement("strong", null, numSelectedRows))), /*#__PURE__*/React.createElement(TextBody, {
    color: "neutral",
    element: "span"
  }, numSelectedRowsLabel(numSelectedRows)));
};

export default NumSelectedRows;